using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class FmsManualType {
        public FmsManualType() {
            FmsManual = new HashSet<FmsManual>();
        }

        [Display(Name = "고유번호"), Key]
        public int ManualTypeId { get; set; }
        [Display(Name = "타입명"), Required]
        [StringLength(50)]
        public string Name { get; set; }
        [Display(Name = "사용여부"), Required]
        public bool? IsUse { get; set; }

        [InverseProperty("FmsManualType")]
        public virtual ICollection<FmsManual> FmsManual { get; set; }
    }
}
